/*
  BZO.CPP
   this is really a test of bij_byte
   this one converts a file of bytes to a
   unique set of ascii "1"s and ascii "0"s
do
   BZO  fileA fileB
      fileA is any string of ascii one and zeros
      and is inputfile while fileB is ouput file
then
   OZB fileB fileC
      fileC should match fileA as far as ascii
      ones and zeros go.
The above test should work for any strings of 1 and 0

Then do
    OZB filea fileb
      filea is ANY Possible file and output fileb is a
      file of only ones and zeros.
then
   BZO fileb filec
      filec should exactly match filea

*/

#include <stdio.h>
#include <stdlib.h>
//#if !defined( unix )
//#include <io.h>
//#endif
//#include <fcntl.h>
#include "bit_byte.h"



/* THE BIT BUFFER. */


bit_byte        out;
bit_byte        in;
FILE *fin, *fout;

int main(int argc, char *argv[])
{
   int             ch;
   if (argc > 1) {
      fin = fopen(argv[1], "rb");
   }
   if (argc > 2) {
      fout = fopen(argv[2], "wb");
   } else {
      fprintf( stderr," ** need to files error **");
      exit;
  }
   out.iw(fout);
   in.ir(fin);
   for ( ;(ch = in.r()) >=0; ) out.wc(ch);
   out.wc(ch);
}
